### Post

Category

Transformation

Function

Changes the data dependency of a field.

Syntax

    output = Post(field, dependency);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | field | none | field whose data dependency is to be changed
`dependency` | string | "positions" | data dependency desired

Outputs

Name | Type | Description
--- | --- | ---
`output` | field | field with data dependency changed

Functional Details

`input` | is a field whose data dependency on one component is to be changed to dependency on another component.
`dependency` | is the output dependency desired and must be "positions" or "connections."

If you are changing the dependency from "positions" to "connections," all components that are dependent on "positions" (but do not contain references to that or any other component, such as colors, data, and normals) are changed to "connections" dependency. The Post module uses an average of the vertex values for each connection element to determine the new value for the component.

Similarly, when changing from connection dependence to position dependence, the Post module associates with a vertex the average of the values for each connection touching that vertex.

Components

Creates a new component for each input component that is either dependent on connections if `dependency` is "positions" or that is dependent on positions if the `dependency` is "connections." The dependencies of the new components are set to `dependency`.

Example Visual Programs

    Thunder_cellcentered.net
    SIMPLE/Post.net

[ OpenDX Home at IBM | OpenDX.org ]